> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/offshoot/features/automation/examples/send-a-notification-to-slack.md).

# Slack Notifications

### **How to use** <a href="#how-to-use" id="how-to-use"></a>

This script sends a message to a Slack webhook (<https://api.slack.com/incoming-webhooks>)

1. Open the script and add your Slack Webhook and Slack Channel.&#x20;
2. Add the saved script to the [File Copy Completed](https:/@hedgedocs/s/hedge/~/drafts/-LdOXGAsklsfqIQWN4PI/primary/hedge/scripts/events/filecopycompleted) event in OffShoot's `Settings > Scripting` pane.
3. When a transfer completes the script is run.
4. You can change the message by using the variables exposed by the [File Copy Completed](https:/@hedgedocs/s/hedge/~/drafts/-LdOXGAsklsfqIQWN4PI/primary/hedge/scripts/events/filecopycompleted) event.

### **Settings**

```
set slackWebhookPath to ""
set theChannel to ""
set theUserName to "Hedge File Copy Completed"
set theEmoji to ":bell:"

set theText to ""
```

### ‌**Download**

{% file src="/files/-LhjPI5QEEkW7Igp2QG1" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hedge.video/offshoot/features/automation/examples/send-a-notification-to-slack.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
